- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

# yaml Data Structures

Here are the data structures with brief descriptions:

yaml_alias_data_s | This structure holds aliases data
yaml_document_s | The document structure
yaml_emitter_s | The emitter structure
yaml_event_s | The event structure
yaml_mark_s | The pointer position
yaml_node_pair_s | An element of a mapping node
yaml_node_s | The node structure
yaml_parser_s | The parser structure
yaml_simple_key_s | This structure holds information about a potential simple key
yaml_tag_directive_s | The tag directive data
yaml_token_s | The token structure
yaml_version_directive_s | The version directive data